Oracle Solaris Third-Party Patch Update : freetype (multiple_buffer_errors_vulnerabilities_in)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- FreeType before 2.4.11 allows context-dependent
attackers to cause a denial of service (NULL pointer
dereference and crash) via vectors related to BDF fonts
and the improper handling of an 'allocation error' in
the bdf_free_font function. (CVE-2012-5668)

- The _bdf_parse_glyphs function in FreeType before 2.4.11
allows context-dependent attackers to cause a denial of
service (crash) and possibly execute arbitrary code via
vectors related to BDF fonts and an incorrect
calculation that triggers an out-of-bounds read.
(CVE-2012-5669)

- The _bdf_parse_glyphs function in FreeType before 2.4.11
allows context-dependent attackers to cause a denial of
service (out-of-bounds write and crash) via vectors
related to BDF fonts and an ENCODING field with a
negative value. (CVE-2012-5670)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?002e043c

Solution :

Upgrade to Solaris 11.1.18.5.0.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)

Family: Solaris Local Security Checks

Nessus Plugin ID: 80614 ()

Bugtraq ID:

CVE ID: CVE-2012-5668
CVE-2012-5669
CVE-2012-5670

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now